<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:37 CEST 2019 -->
<title>org.firebirdsql.gds (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<h1 class="bar"><a href="../../../org/firebirdsql/gds/package-summary.html" target="classFrame">org.firebirdsql.gds</a></h1>
<div class="indexContainer">
<h2 title="Interfaces">Interfaces</h2>
<ul title="Interfaces">
<li><a href="BlobParameterBuffer.html" title="interface in org.firebirdsql.gds" target="classFrame"><span class="interfaceName">BlobParameterBuffer</span></a></li>
<li><a href="BlrConstants.html" title="interface in org.firebirdsql.gds" target="classFrame"><span class="interfaceName">BlrConstants</span></a></li>
<li><a href="ConnectionParameterBuffer.html" title="interface in org.firebirdsql.gds" target="classFrame"><span class="interfaceName">ConnectionParameterBuffer</span></a></li>
<li><a href="DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds" target="classFrame"><span class="interfaceName">DatabaseParameterBuffer</span></a></li>
<li><a href="EventHandle.html" title="interface in org.firebirdsql.gds" target="classFrame"><span class="interfaceName">EventHandle</span></a></li>
<li><a href="EventHandler.html" title="interface in org.firebirdsql.gds" target="classFrame"><span class="interfaceName">EventHandler</span></a></li>
<li><a href="ISCConstants.html" title="interface in org.firebirdsql.gds" target="classFrame"><span class="interfaceName">ISCConstants</span></a></li>
<li><a href="JaybirdErrorCodes.html" title="interface in org.firebirdsql.gds" target="classFrame"><span class="interfaceName">JaybirdErrorCodes</span></a></li>
<li><a href="Parameter.html" title="interface in org.firebirdsql.gds" target="classFrame"><span class="interfaceName">Parameter</span></a></li>
<li><a href="ParameterBuffer.html" title="interface in org.firebirdsql.gds" target="classFrame"><span class="interfaceName">ParameterBuffer</span></a></li>
<li><a href="ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds" target="classFrame"><span class="interfaceName">ServiceParameterBuffer</span></a></li>
<li><a href="ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds" target="classFrame"><span class="interfaceName">ServiceRequestBuffer</span></a></li>
<li><a href="TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds" target="classFrame"><span class="interfaceName">TransactionParameterBuffer</span></a></li>
</ul>
<h2 title="Classes">Classes</h2>
<ul title="Classes">
<li><a href="ClumpletReader.html" title="class in org.firebirdsql.gds" target="classFrame">ClumpletReader</a></li>
<li><a href="GDSExceptionHelper.html" title="class in org.firebirdsql.gds" target="classFrame">GDSExceptionHelper</a></li>
<li><a href="GDSExceptionHelper.GDSMessage.html" title="class in org.firebirdsql.gds" target="classFrame">GDSExceptionHelper.GDSMessage</a></li>
<li><a href="JaybirdSystemProperties.html" title="class in org.firebirdsql.gds" target="classFrame">JaybirdSystemProperties</a></li>
<li><a href="ParameterBufferHelper.html" title="class in org.firebirdsql.gds" target="classFrame">ParameterBufferHelper</a></li>
<li><a href="ParameterBufferHelper.DpbParameterType.html" title="class in org.firebirdsql.gds" target="classFrame">ParameterBufferHelper.DpbParameterType</a></li>
<li><a href="VaxEncoding.html" title="class in org.firebirdsql.gds" target="classFrame">VaxEncoding</a></li>
</ul>
<h2 title="Enums">Enums</h2>
<ul title="Enums">
<li><a href="ClumpletReader.ClumpletType.html" title="enum in org.firebirdsql.gds" target="classFrame">ClumpletReader.ClumpletType</a></li>
<li><a href="ClumpletReader.Kind.html" title="enum in org.firebirdsql.gds" target="classFrame">ClumpletReader.Kind</a></li>
<li><a href="ParameterBufferHelper.DpbValueType.html" title="enum in org.firebirdsql.gds" target="classFrame">ParameterBufferHelper.DpbValueType</a></li>
<li><a href="ParameterTagMapping.html" title="enum in org.firebirdsql.gds" target="classFrame">ParameterTagMapping</a></li>
</ul>
<h2 title="Exceptions">Exceptions</h2>
<ul title="Exceptions">
<li><a href="GDSException.html" title="class in org.firebirdsql.gds" target="classFrame">GDSException</a></li>
</ul>
</div>
</body>
</html>
